Bug 718778 - Executable stack required in p7zip plugins
Summary: Executable stack required in p7zip plugins
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: p7zip
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-04 14:58 UTC by Steve Grubb
Modified: 2011-08-16 21:01 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-08-09 01:25:22 UTC


Attachments (Terms of Use)

Description Steve Grubb 2011-07-04 14:58:42 UTC
Description of problem:
The following programs seem to require an executable stack:
/usr/libexec/p7zip/7za
/usr/libexec/p7zip/7z
/usr/libexec/p7zip/7z.so
/usr/libexec/p7zip/7zCon.sfx

To check, do this:
# eu-readelf -l /usr/libexec/p7zip/7za | grep GNU_STACK
  GNU_STACK      0x000000 0x0000000000000000 0x0000000000000000 0x000000 0x000000 RWE 0x8

Should be just "RW" and no "E".

# rpm -qf /usr/libexec/p7zip/7za
p7zip-9.13-2.fc15.x86_64

Additional info:
The program should be fixed so that an executable stack is not needed.

Comment 1 Matthias Saou 2011-07-26 15:46:07 UTC
This has already been reported upstream :
http://sourceforge.net/tracker/?func=detail&aid=3283518&group_id=111810&atid=660493

I'll include a patch to get this fixed in the Fedora package.

Comment 2 Fedora Update System 2011-07-26 16:09:23 UTC
p7zip-9.20.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/p7zip-9.20.1-2.fc15

Comment 3 Fedora Update System 2011-07-26 16:25:32 UTC
p7zip-9.20.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/p7zip-9.20.1-2.el6

Comment 4 Fedora Update System 2011-07-30 10:34:55 UTC
Package p7zip-9.20.1-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing p7zip-9.20.1-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/p7zip-9.20.1-2.el6
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-08-09 01:25:06 UTC
p7zip-9.20.1-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-08-16 21:00:59 UTC
p7zip-9.20.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.